Skip to main content

Authenticator

getUserAuth

Returns all of the user's enrolled authenticators by the internal identifier in Axidian Access.

POST /api/v5/authenticator/getUserAuth
Request object
{  
"Id": "00000000-0000-0000-0000-000000000000",
"UserId": "string",
"AccessToken": "string",
"ApplicationId": "string"
}

in the request object:

  • Id — required parameter. Internal identifier in Axidian Access.
  • UserId — required parameter. Internal identifier of the user in Axidian Access.
  • AccessToken — required parameter. Token of the administrator on whose behalf the API request is performed.
  • ApplicationId — required parameter. String identifier of the Axidian Access module.
Response object
{  
"AuthenticationCountLimit": 0,
"CreatedOn": "2022-10-26T07:23:08.550Z",
"Description": "string",
"ExpirationDate": "2022-10-26T07:23:08.550Z",
"Flags": 1,
"Id": "00000000-0000-0000-0000-000000000000",
"IsDisabled": true,
"IsLocked": true,
"ModeDeviceName": "string",
"ModeId": "00000000-0000-0000-0000-000000000000",
"ModeType": 0,
"ModeTypeName": "string",
"UserId": "string",
"SerialNumber": "string",
"Device": {
"Id": "00000000-0000-0000-0000-000000000000",
"AuthType": "00000000-0000-0000-0000-000000000000",
"SerialNumber": "string",
"RegistrationDate": "2022-10-26T07:23:08.550Z",
"IsEnabled": true,
"LastUserId": "string",
"Comment": "string",
"Model": "string"
},
"CreatedBy": "string"
}

findByUserIds

Returns the internal identifier of the user in Axidian Access.

POST /api/v5/authenticator/findByUserIds
Request object
{  
"UserId": "string",
"AccessToken": "string",
"ApplicationId": "string"
}

In the request object:

  • UserId — required parameter. Internal identifier of the user in Axidian Access.
  • AccessToken — required parameter. Token of the administrator on whose behalf the API request is performed.
  • ApplicationId — required parameter. String identifier of the Axidian Access module.
Response object
[  
"00000000-0000-0000-0000-000000000000"
]